Package com.databricks.jdbc.telemetry

## Class TelemetryClient

- java.lang.Object
- - com.databricks.jdbc.telemetry.TelemetryClient

All Implemented Interfaces:
  `ITelemetryClient`

    public class TelemetryClient
    extends Object
    implements ITelemetryClient

### Constructor Summary

Constructors
`TelemetryClient​(IDatabricksConnectionContext connectionContext, boolean isAuthenticated, ExecutorService executorService)` Returns an unathenticated Telemetry Client
`TelemetryClient​(IDatabricksConnectionContext connectionContext, ExecutorService executorService, com.databricks.sdk.core.DatabricksConfig config)` Returns an athenticated Telemetry Client

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `exportEvent​(TelemetryFrontendLog event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelemetryClient

    public TelemetryClient​(IDatabricksConnectionContext connectionContext,
                           ExecutorService executorService,
                           com.databricks.sdk.core.DatabricksConfig config)

Returns an athenticated Telemetry Client

#### TelemetryClient

    public TelemetryClient​(IDatabricksConnectionContext connectionContext,
                           boolean isAuthenticated,
                           ExecutorService executorService)

Returns an unathenticated Telemetry Client

### Method Detail

#### exportEvent

    public void exportEvent​(TelemetryFrontendLog event)

Specified by:
  `exportEvent` in interface `ITelemetryClient`

#### close

    public void close()

Specified by:
  `close` in interface `ITelemetryClient`